Bug 734709

Summary: system-config-boot does not parse grub2
Product: [Fedora] Fedora Reporter: Lijun Li <lijli>
Component: system-config-bootAssignee: Harald Hoyer <harald>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 16CC: aalam, alpha, bugzilla, collura, harald, j321604, jan.kratochvil, jc1da.3011, joe, mads, sergio, tmoschou
Target Milestone: ---Keywords: Desktop
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 20:15:25 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 739483    
Bug Blocks:    
Attachments:
Description Flags
system-config-boot error message none

Description Lijun Li 2011-08-31 04:34:14 EDT
Description of problem:
An error message pops up for system-config-boot

Version-Release number of selected component (if applicable):
system-config-boot-1.0-1.fc16.x86_64

How reproducible:
always

Steps to Reproduce:
1. Install fedora 16 Nightly in Simplified Chinese from
http://dl.fedoraproject.org/pub/alt/stage/f16-translation/
2. Run system-config-boot in Terminal

  
Actual results:
An error message pops up for system-config-boot

Expected results:
system-config-boot should work as normal

Additional info:
Comment 1 Lijun Li 2011-08-31 04:34:55 EDT
Created attachment 520762 [details]
system-config-boot error message
Comment 2 Harald Hoyer 2011-08-31 10:19:42 EDT
ok, system-config-boot currently only handles grub and not grub2.
Comment 3 Aleksandra Bookwar 2011-09-16 01:05:11 EDT
Found this package in Fedora 16 Beta RC1.

Shouldn't it be removed from default installation?
Comment 4 Harald Hoyer 2011-09-19 04:44:49 EDT
it could be ported for grub2, if grubby was split into a library and binary...
Comment 5 Harald Hoyer 2011-09-19 04:45:52 EDT
*** Bug 647946 has been marked as a duplicate of this bug. ***
Comment 6 Adam Williamson 2011-10-05 01:11:27 EDT
*** Bug 743355 has been marked as a duplicate of this bug. ***
Comment 7 Joseph D. Wagner 2011-10-30 19:06:00 EDT
Are there plans to alter system-config-boot to support grub2?  Otherwise, I think it should be removed from the default install, because it currently supports only grub-legacy.
Comment 8 Harald Hoyer 2011-11-01 06:41:27 EDT
(In reply to comment #7)
> Are there plans to alter system-config-boot to support grub2?  Otherwise, I
> think it should be removed from the default install, because it currently
> supports only grub-legacy.

it could be ported for grub2, if grubby was split into a library and binary...
Comment 9 Harald Hoyer 2011-11-15 03:25:32 EST
*** Bug 753373 has been marked as a duplicate of this bug. ***
Comment 10 Mohamed El Morabity 2012-01-02 07:54:49 EST
*** Bug 754995 has been marked as a duplicate of this bug. ***
Comment 11 Sergio Monteiro Basto 2012-03-20 21:48:56 EDT
for when handle grub2 ?
Comment 12 Fedora End Of Life 2013-01-16 17:42:45 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Fedora End Of Life 2013-02-13 20:15:29 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.